unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Edit2: TEdit;
    Edit3: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Button1: TButton;
    Button2: TButton;
    Memo1: TMemo;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var satz,swort,ewort:string;
    ort,i:integer;
begin
swort:=edit2.text;
ewort:=edit3.text;

for i:=0 to memo1.lines.count-1 do   //die äußere Schleife durchläuft die Memozeilen
    begin                            
    satz:=memo1.lines[i];            // und lädt die jeweilige Zeile als Variable 'satz'
    while pos(swort,satz)>0 do // die innere Schleife bleibt unverändert
          begin
          ort:=pos(swort,satz);
          delete(satz,ort,length(swort));
          insert(ewort,satz,ort);
          end;
    memo1.lines[i]:=satz; // die äußere Schleife fügt den neuen 'satz' als Memozeile wieder ein
    end;

end;

procedure TForm1.Button2Click(Sender: TObject);
begin
close;
end;

procedure TForm1.Button3Click(Sender: TObject);
var text:string;
begin
text:='Mein Hund ist lieb. Meine Katze ist auch sehr lieb. Auch mein Goldfisch ist lieb. Meine Schwester ist ebenfalls lieb und mein Bruder ist noch viel lieber.';
memo1.lines.add(text);
end;

end.
